<template lang="html">
  <div class="container" id="">
    <div class="section">
      <v-row>
        <v-grid push-m3 push-l3 s12 m6 l6>
          <v-card class="darken-1">
            <div class="card-content">
              <span class="card-title">Register</span>
              <v-row>
                <v-grid s12 class="input-field left-align">
                  <input v-model="credentials.firstname" id="first_name" type="text" class="validate">
                  <label for="first_name">Firstname</label>
                </v-grid>
              </v-row>
              <v-row>
                <v-grid s12 class="input-field left-align">
                  <input v-model="credentials.lastname" id="last_name" type="text" class="validate">
                  <label for="last_name">Lastname</label>
                </v-grid>
              </v-row>
                <v-row>
                  <v-grid s12 class="input-field left-align">
                    <input v-model="credentials.username" id="username" type="text" class="validate">
                    <label for="first_name">Username</label>
                  </v-grid>
                </v-row>
                <v-row>
                  <v-grid s12 class="input-field left-align">
                    <input v-model="credentials.password" id="password" type="password" class="validate">
                    <label for="last_name">Password</label>
                  </v-grid>
                </v-row>
                <v-row>
                  <v-grid s12 class="input-field">
                    <a class="waves-effect waves-light btn" @click="submit()"><i class="material-icons right">send</i>Submit</a>
                  </v-grid>
                </v-row>
            </div>
          </v-card>
        </v-grid>
      </v-row>
    </div>
  </div>
</template>

<script>
import auth from '@/auth';

export default {
  data() {
    return {
      credentials: {
        username: '',
        password: '',
        lastname: '',
        firstname: '',
      },
      error: '',
    };
  },
  methods: {
    submit() {
      const ctx = this;
      auth.register(this, this.credentials, '/').then(() => {
        if (ctx.error) window.Materialize.toast(ctx.error.body, 3000, 'rounded');
        ctx.error = '';
      });
    },
  },
};
</script>

<style lang="css">
</style>
